## org.apache.batik.css.engine.sac
Interface ExtendedCondition

All Superinterfaces:
  Condition

All Known Implementing Classes:
  AbstractAttributeCondition, AbstractCombinatorCondition, CSSLangCondition

public interface ExtendedCondition
extends Condition

This interface provides additional features to the `Condition` interface.

Field Summary

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Method Summary
`void` `fillAttributeSet(java.util.Set attrSet)` Fills the given set with the attribute names found in this selector.
`int` `getSpecificity()` Returns the specificity of this condition.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this condition matches the given element.

Methods inherited from interface org.w3c.css.sac.Condition
`getConditionType`

Method Detail

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this condition matches the given element.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this condition.

### fillAttributeSet

    public void fillAttributeSet(java.util.Set attrSet)

  Fills the given set with the attribute names found in this selector.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.